> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List podcasts

> Podcasts for a site
## Pagination
Use `page[number]` and `page[size]` parameters to paginate results:
### Get first page of 10 items
* `GET /v1/podcasts?page[number]=1&page[size]=10`
### Get second page of 25 items
* `GET /v1/podcasts?page[number]=2&page[size]=25`

The response includes pagination links and meta data:
```json
{
  "links": {
    "self": "https://api.kajabi.com/v1/podcasts?page[number]=2&page[size]=10",
    "first": "https://api.kajabi.com/v1/podcasts?page[number]=1&page[size]=10",
    "prev": "https://api.kajabi.com/v1/podcasts?page[number]=1&page[size]=10",
    "next": "https://api.kajabi.com/v1/podcasts?page[number]=3&page[size]=10",
    "last": "https://api.kajabi.com/v1/podcasts?page[number]=5&page[size]=10"
  },
  "meta": {
    "total_pages": 5,
    "total_count": 50,
    "current_page": 2
  }
}
```
## Sorting
Use the `sort` parameter to sort the results:
### Sort by title in ascending order
* `GET /v1/podcasts?sort=title`
### Sort by title in descending order
* `GET /v1/podcasts?sort=-title`

Response will include podcasts sorted by the specified field
```json
{
  "data": [
    {
      "id": "123",
      "type": "podcasts",
      "attributes": {
        "title": "My Podcast A",
        "description": "A great podcast about technology"
      }
    },
    {
      "id": "456",
      "type": "podcasts",
      "attributes": {
        "title": "My Podcast B",
        "description": "Another great podcast about business"
      }
    }
  ]
}
```
## Sparse Fields
Use the `fields[podcasts]` parameter to request only specific attributes:
### Only return title and description attributes
* `GET /v1/podcasts?fields[podcasts]=title,description`

Response will only include requested fields
```json
{
  "data": [{
    "id": "123",
    "type": "podcasts",
    "attributes": {
      "title": "My Podcast A",
      "description": "A great podcast about technology"
    }
  }]
}
```
## Filter by Site ID
Use the `filter[site_id]` parameter to get podcasts for a specific site:
### Get podcasts for site with ID 123
* `GET /v1/podcasts?filter[site_id]=123`

Response will only include podcasts for that site
```json
{
  "data": [{
    "id": "456",
    "type": "podcasts",
    "attributes": {
      "title": "My Podcast",
      "description": "A great podcast"
    }
  }]
}
```




## OpenAPI

````yaml /openapi.yaml get /v1/podcasts
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/podcasts:
    get:
      tags:
        - Podcasts
      summary: List podcasts
      description: >
        Podcasts for a site

        ## Pagination

        Use `page[number]` and `page[size]` parameters to paginate results:

        ### Get first page of 10 items

        * `GET /v1/podcasts?page[number]=1&page[size]=10`

        ### Get second page of 25 items

        * `GET /v1/podcasts?page[number]=2&page[size]=25`


        The response includes pagination links and meta data:

        ```json

        {
          "links": {
            "self": "https://api.kajabi.com/v1/podcasts?page[number]=2&page[size]=10",
            "first": "https://api.kajabi.com/v1/podcasts?page[number]=1&page[size]=10",
            "prev": "https://api.kajabi.com/v1/podcasts?page[number]=1&page[size]=10",
            "next": "https://api.kajabi.com/v1/podcasts?page[number]=3&page[size]=10",
            "last": "https://api.kajabi.com/v1/podcasts?page[number]=5&page[size]=10"
          },
          "meta": {
            "total_pages": 5,
            "total_count": 50,
            "current_page": 2
          }
        }

        ```

        ## Sorting

        Use the `sort` parameter to sort the results:

        ### Sort by title in ascending order

        * `GET /v1/podcasts?sort=title`

        ### Sort by title in descending order

        * `GET /v1/podcasts?sort=-title`


        Response will include podcasts sorted by the specified field

        ```json

        {
          "data": [
            {
              "id": "123",
              "type": "podcasts",
              "attributes": {
                "title": "My Podcast A",
                "description": "A great podcast about technology"
              }
            },
            {
              "id": "456",
              "type": "podcasts",
              "attributes": {
                "title": "My Podcast B",
                "description": "Another great podcast about business"
              }
            }
          ]
        }

        ```

        ## Sparse Fields

        Use the `fields[podcasts]` parameter to request only specific
        attributes:

        ### Only return title and description attributes

        * `GET /v1/podcasts?fields[podcasts]=title,description`


        Response will only include requested fields

        ```json

        {
          "data": [{
            "id": "123",
            "type": "podcasts",
            "attributes": {
              "title": "My Podcast A",
              "description": "A great podcast about technology"
            }
          }]
        }

        ```

        ## Filter by Site ID

        Use the `filter[site_id]` parameter to get podcasts for a specific site:

        ### Get podcasts for site with ID 123

        * `GET /v1/podcasts?filter[site_id]=123`


        Response will only include podcasts for that site

        ```json

        {
          "data": [{
            "id": "456",
            "type": "podcasts",
            "attributes": {
              "title": "My Podcast",
              "description": "A great podcast"
            }
          }]
        }

        ```
      parameters:
        - name: filter[site_id]
          in: query
          required: false
          description: Filter by site ID, for example ?filter[site_id]=123
          schema:
            type: string
        - name: filter[title_eq]
          in: query
          required: false
          description: >-
            Filter by exact title match, for example ?filter[title_eq]=My
            Podcast
          schema:
            type: string
        - name: filter[title_cont]
          in: query
          required: false
          description: >-
            Filter by title containing text, for example
            ?filter[title_cont]=technology
          schema:
            type: string
        - name: filter[status_eq]
          in: query
          required: false
          description: Filter by status, for example ?filter[status_eq]=ready
          schema:
            type: string
        - name: filter[show_type_eq]
          in: query
          required: false
          description: Filter by show type, for example ?filter[show_type_eq]=episodic
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            Sort results by field, for example ?sort=title or ?sort=-title
            (descending)
          schema:
            type: string
        - name: page[number]
          in: query
          required: false
          description: Page number for pagination, for example ?page[number]=1
          schema:
            type: integer
        - name: page[size]
          in: query
          required: false
          description: Number of items per page, for example ?page[size]=10
          schema:
            type: integer
        - name: fields[podcasts]
          in: query
          required: false
          description: >-
            Comma-separated list of fields to include, for example
            ?fields[podcasts]=title,description
          schema:
            type: string
      responses:
        '200':
          description: List of podcasts
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - podcasts
                        attributes:
                          $ref: '#/components/schemas/podcasts_attributes'
                        relationships:
                          type: object
                          properties:
                            site:
                              type: object
                              properties:
                                data:
                                  $ref: '#/components/schemas/resource_identifier'
                  links:
                    type: object
                    properties:
                      self:
                        type: string
                      first:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                      last:
                        type: string
                  meta:
                    type: object
                    properties:
                      total_pages:
                        type: integer
                      total_count:
                        type: integer
                      current_page:
                        type: integer
        '401':
          description: Unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
      security:
        - Bearer: []
components:
  schemas:
    podcasts_attributes:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        language:
          type: string
        owner_email:
          type: string
        author:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - ready
            - importing
            - failed
        show_type:
          type: string
          enum:
            - episodic
            - serial
        thumbnail_url:
          type: string
          nullable: true
        cover_art_url:
          type: string
          nullable: true
        categories:
          type: array
          items:
            type: string
        directories:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              url:
                type: string
              config:
                type: object
        migrated_to_url:
          type: string
          nullable: true
        migrated:
          type: boolean
        public:
          type: boolean
        ready:
          type: boolean
        distribution_ready:
          type: boolean
        url:
          type: string
          description: Public URL for the podcast
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````